<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions: source/functions.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_230.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_8py.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">functions.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacefunctions"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html">functions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afea643718472b07f3fc3e34ffeaa31b2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#afea643718472b07f3fc3e34ffeaa31b2">functions.SpaceString</a> (selector)</td></tr>
<tr class="separator:afea643718472b07f3fc3e34ffeaa31b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c95677a87cbd79997ae90c642481e6f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#a4c95677a87cbd79997ae90c642481e6f">functions.G2FromSS</a> (SingleShots, NShots, Npoints)</td></tr>
<tr class="separator:a4c95677a87cbd79997ae90c642481e6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabf197d58ee420823356f87ee129602c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#aabf197d58ee420823356f87ee129602c">functions.Rho2FromSS</a> (SingleShots, NShots, Npoints)</td></tr>
<tr class="separator:aabf197d58ee420823356f87ee129602c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25b1c46bb85026d6872f6baa1b0cb39d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#a25b1c46bb85026d6872f6baa1b0cb39d">functions.RhoFromSS</a> (SingleShots, NShots, Npoints)</td></tr>
<tr class="separator:a25b1c46bb85026d6872f6baa1b0cb39d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac05d55b17715bb2aa44d6a5e9cf2b653"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#ac05d55b17715bb2aa44d6a5e9cf2b653">functions.replaceAll</a> (file, searchExp, replaceExp)</td></tr>
<tr class="separator:ac05d55b17715bb2aa44d6a5e9cf2b653"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d6a8fb04ab55a57fa14d11cd1b06a5f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#a8d6a8fb04ab55a57fa14d11cd1b06a5f">functions.RunThis</a> (command)</td></tr>
<tr class="separator:a8d6a8fb04ab55a57fa14d11cd1b06a5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7a68c2825b4e9d0d711bb0f719994ee"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#ae7a68c2825b4e9d0d711bb0f719994ee">functions.randomize</a> (a, b)</td></tr>
<tr class="separator:ae7a68c2825b4e9d0d711bb0f719994ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c73a4a300ca2304eb2541a49bb164af"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#a3c73a4a300ca2304eb2541a49bb164af">functions.normalizer</a> (array)</td></tr>
<tr class="separator:a3c73a4a300ca2304eb2541a49bb164af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d7bdc1fbb7831d7783a0821d6fc1594"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#a4d7bdc1fbb7831d7783a0821d6fc1594">functions.histogrammer</a> (data, LowerBound=-np.pi, UpperBound=np.pi, Bins=100)</td></tr>
<tr class="separator:a4d7bdc1fbb7831d7783a0821d6fc1594"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b2f33c71d4aa5e7af42a1ca61ff5af1b.html">source</a></li><li class="navelem"><a class="el" href="functions_8py.html">functions.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
